package edu.whut.smilepicturebackend;

import org.apache.shardingsphere.spring.boot.ShardingSphereAutoConfiguration;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
@SpringBootApplication(exclude = {ShardingSphereAutoConfiguration.class})
@EnableAsync
@MapperScan("edu.whut.smilepicturebackend.mapper")
public class SmilePictureBackendApplication {

    public static void main(String[] args) {
        SpringApplication.run(SmilePictureBackendApplication.class, args);
    }

}
